package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 订单打印数据封装model
 * @Reference :
 * @Author : siliter
 * @CreateDate : 2019-03-18 11:50
 * @Modify:
 **/
@Data
public class PrintOrderDataModel {

    @ApiParam(value = "工厂代码")
    public String organizeCode;

    @ApiParam(value = "单号")
    public String orderNo;

    @ApiParam(value = "业务类型", example = "-1")
    public Integer busiType;

    @ApiParam(value = "状态", example = "-1")
    public Integer status;

    @ApiParam(value = "打印标志", example = "-1")
    public Integer printFlag;

    @ApiParam(value = "供应商编号")
    public String vendorNo;

    @ApiParam(value = "客户编号")
    public String custNo;

    @ApiParam(value = "版本")
    public String version;

    @ApiParam(value = "ERP单号")
    public String erpSrcNo;

    @ApiParam(value = "业务数据类型", example = "-1")
    public Integer busiDataType;
}
